diff --git a/ChangeLog b/ChangeLog
index 0dac49721c9..4fe9c94bbd7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -10,8 +10,6 @@ Security
      ARMmbed/mbed-crypto#352
 
 Bugfix
-   * Allow loading symlinked certificates. Fixes #3005. Reported and fixed
-     by Jonathan Bennett <JBennett@incomsystems.biz> via #3008.
    * Fix an unchecked call to mbedtls_md() in the x509write module.
 
 = mbed TLS 2.7.13 branch released 2020-01-15
diff --git a/library/x509_crt.c b/library/x509_crt.c
index 55c7ea108c5..3ad53a7156b 100644
--- a/library/x509_crt.c
+++ b/library/x509_crt.c
@@ -1207,7 +1207,7 @@ int mbedtls_x509_crt_parse_path( mbedtls_x509_crt *chain, const char *path )
             goto cleanup;
         }
 
-        if( !( S_ISREG( sb.st_mode ) || S_ISLNK( sb.st_mode ) ) )
+        if( !S_ISREG( sb.st_mode ) )
             continue;
 
         // Ignore parse errors
